%define major_version 1.1
%define minor_version 10

%define shortname 389-admin
%define pkgname dirsrv

Name: 		389-admin-console
Version: 	%{major_version}.%{minor_version}
Release: 	%mkrel 4
Summary: 	389 Admin Server Management Console

Group: 		System/Servers
License: 	GPLv2
URL: 		http://port389.org
Source: 	http://port389.org/sources/%{name}-%{version}.tar.bz2
Requires: 	389-admin
BuildRequires: 	ant >= 1.6.2
BuildRequires: 	ldapjdk
BuildRequires: 	idm-console-framework
BuildRequires: 	java-devel >= 1:1.6.0
BuildArch: 	noarch


%description
A Java based remote management console used for Managing 389
Admin Server.  Requires the 389 Console to load and run the
jar files.

%package          doc
Summary:          Web docs for 389 Admin Server Management Console
Group:            Documentation
Requires:         %{name} = %{version}-%{release}

%description      doc
Web docs for 389 Admin Server Management Console

%prep
%setup -q
                                                                                
%build
%{ant} \
    -Dconsole.location=%{_javadir} \
    -Djss.local.location=%{_libdir}/java \
    -Dbuilt.dir=`pwd`/built

%install
install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
install -m644 built/package/%{shortname}* $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
install -d $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/admin/help
install -m644 help/en/*.html $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/admin
install -m644 help/en/tokens.map $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/admin
install -m644 help/en/help/*.html $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/manual/en/admin/help

# create symlinks
pushd $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/html/java
ln -s %{shortname}-%{version}.jar %{shortname}-%{major_version}.jar
ln -s %{shortname}-%{version}.jar %{shortname}.jar
ln -s %{shortname}-%{version}_en.jar %{shortname}-%{major_version}_en.jar
ln -s %{shortname}-%{version}_en.jar %{shortname}_en.jar
popd


%files
%doc LICENSE
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{major_version}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{version}_en.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}-%{major_version}_en.jar
%{_datadir}/%{pkgname}/html/java/%{shortname}_en.jar

%files doc
%dir %{_datadir}/%{pkgname}/manual/en/admin
%doc %{_datadir}/%{pkgname}/manual/en/admin/tokens.map
%doc %{_datadir}/%{pkgname}/manual/en/admin/*.html
%doc %{_datadir}/%{pkgname}/manual/en/admin/help/*.html



%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.1.10-4.mga8
+ Revision: 1489250
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.10-3.mga7
+ Revision: 1259525
- Mageia 7 Mass Rebuild

* Thu Feb 18 2016 umeabot <umeabot> 1.1.10-2.mga6
+ Revision: 966101
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 spuhler <spuhler> 1.1.10-1.mga6
+ Revision: 840205
- upgrade to vers. 1.1.10

* Wed Oct 15 2014 umeabot <umeabot> 1.1.8-5.mga5
+ Revision: 747903
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.8-4.mga5
+ Revision: 677630
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.8-3.mga4
+ Revision: 502406
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1.8-2.mga3
+ Revision: 345047
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 spuhler <spuhler> 1.1.8-1.mga3
+ Revision: 311445
- cleaned spec file and added java path
- imported package 389-admin-console


* Tue Jul 14 2009 Rich Megginson <rmeggins@redhat.com> 1.1.4-1
- relicense source files under GPLv2
- create doc sub package

* Fri May 15 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-2
- rename to 389

* Tue Mar 31 2009 Rich Megginson <rmeggins@redhat.com> 1.1.3-1
- this is the 1.1.3 release

* Thu Jul  3 2008 Rich Megginson <rmeggins@redhat.com> 1.1.2-1
- disable SSLv2 settings

* Wed Jan 16 2008 Rich Megginson <rmeggins@redhat.com> 1.1.1-2
- rename package to fedora-ds-admin-console

* Thu Jan 10 2008 Rich Megginson <rmeggins@redhat.com> 1.1.1-1
- changes for fedora package review
- added requires for icedtea java
- added LICENSE

* Wed Dec 19 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-4
- This is for the Fedora DS 1.1 release

* Thu Oct 25 2007 Rich Megginson <rmeggins@redhat.com> - 1.1.0-3
- updated sources - use dirsrv as package name

* Wed Aug  8 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-2
- Added online help files into package.

* Thu Aug  2 2007 Nathan Kinder <nkinder@redhat.com> 1.1.0-1
- Initial creation
